<head>

  <link rel="stylesheet" href="res/css/tree.css">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans|Raleway" rel="stylesheet">

  <script>var runOnLoad=function(c,o,d,e){function x(){for(e=1;c.length;)c.shift()()}o[d]?(document[d]('DOMContentLoaded',x,0),o[d]('load',x,0)):o.attachEvent('onload',x);return function(t){e?o.setTimeout(t,0):c.push(t)}}([],window,'addEventListener');</script>

  <script type="text/javascript" src="res/js/CollapsibleLists.src.js">

  </script>
  <script type="text/javascript">
    runOnLoad(function(){ CollapsibleLists.apply(); });
  </script>
</head>
<body>
  <div class="summary-button">
      <a id="treeNav" href="Full-Report.html">View Summary</a>
  </div>
<ul class="collapsibleList" >
  <div id="prevTree">Previous Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 0,0 Type(class): ViewGroup ID: android:id/decor_content_parent Name:  Type(class): ViewGroup Rectangle: 1200,1824
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,48 Type(class): ViewGroup ID: android:id/action_bar Name:  Type(class): ViewGroup Rectangle: 1200,112
</span><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 17,48 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 348,112
<ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 25,56 Type(class): ImageView ID: android:id/home Name:  Type(class): ImageView Rectangle: 96,96
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 129,79 Type(class): TextView ID: android:id/action_bar_title Name: Sensors2OSC Type(class): TextView Rectangle: 220,49
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 1072,48 Type(class): ImageButton ID:  Name:  Type(class): ImageButton Rectangle: 128,112
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,160 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,1664
</span><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 32,192 Type(class): Switch ID: org.sensors2.osc:id/active Name: Send data OFF Type(class): Switch Rectangle: 1136,75
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 931,267 Type(class): Button ID: org.sensors2.osc:id/multi_touch_button Name: Multi Touch Type(class): Button Rectangle: 237,96
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 32,379 Type(class): LinearLayout ID: org.sensors2.osc:id/sensor_group Name:  Type(class): LinearLayout Rectangle: 1136,1413
<ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,379 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,275
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,379 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,97
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 32,379 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Light Type(class): TextView Rectangle: 98,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 32,438 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /light Type(class): TextView Rectangle: 66,38
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,492 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,620 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,654 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,275
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,654 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,97
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 32,654 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Pressure Type(class): TextView Rectangle: 174,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 32,713 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /pressure Type(class): TextView Rectangle: 119,38
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,767 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,895 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,929 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,275
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,929 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,97
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 32,929 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Ambient Temperature Type(class): TextView Rectangle: 424,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 32,988 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /ambienttemperature Type(class): TextView Rectangle: 265,38
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,1042 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,1170 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,1204 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,275
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,1204 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,97
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 32,1204 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Relative Humidity Type(class): TextView Rectangle: 341,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 32,1263 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /relativehumidity Type(class): TextView Rectangle: 210,38
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,1317 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,1445 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,1479 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,275
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,1479 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,97
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 32,1479 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Proximity Type(class): TextView Rectangle: 186,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 32,1538 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /proximity Type(class): TextView Rectangle: 128,38
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,1592 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,1720 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 32,1754 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Accelerometer Type(class): TextView Rectangle: 286,38
</li></ul></li></ul></li></ul></li><div class="buffer"></div></ul><ul class="collapsibleList"><div id="newTree">New Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 0,0 Type(class): ViewGroup ID: android:id/decor_content_parent Name:  Type(class): ViewGroup Rectangle: 1200,1824
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,48 Type(class): ViewGroup ID: android:id/action_bar Name:  Type(class): ViewGroup Rectangle: 1200,112
</span><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 17,48 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 348,112
<ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 25,56 Type(class): ImageView ID: android:id/home Name:  Type(class): ImageView Rectangle: 96,96
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 129,79 Type(class): TextView ID: android:id/action_bar_title Name: Sensors2OSC Type(class): TextView Rectangle: 220,49
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 1072,48 Type(class): ImageButton ID:  Name:  Type(class): ImageButton Rectangle: 128,112
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,160 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1200,1664
</span><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 32,192 Type(class): Switch ID: org.sensors2.osc:id/active Name: Send data OFF Type(class): Switch Rectangle: 1136,75
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 931,267 Type(class): Button ID: org.sensors2.osc:id/multi_touch_button Name: Multi Touch Type(class): Button Rectangle: 237,96
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 32,379 Type(class): LinearLayout ID: org.sensors2.osc:id/sensor_group Name:  Type(class): LinearLayout Rectangle: 1136,972
<ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,379 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,162
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,379 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1136,128
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,379 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Light Type(class): TextView Rectangle: 98,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,437 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /light Type(class): TextView Rectangle: 66,38
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 1008,379 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,507 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,541 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,162
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,541 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1136,128
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,541 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Pressure Type(class): TextView Rectangle: 174,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,599 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /pressure Type(class): TextView Rectangle: 119,38
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 1008,541 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,669 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,703 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,162
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,703 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1136,128
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,703 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Ambient Temperature Type(class): TextView Rectangle: 424,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,761 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /ambienttemperature Type(class): TextView Rectangle: 265,38
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 1008,703 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,831 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,865 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,162
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,865 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1136,128
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,865 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Relative Humidity Type(class): TextView Rectangle: 341,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,923 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /relativehumidity Type(class): TextView Rectangle: 210,38
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 1008,865 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,993 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,1027 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,162
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,1027 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1136,128
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,1027 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Proximity Type(class): TextView Rectangle: 186,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,1085 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /proximity Type(class): TextView Rectangle: 128,38
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 1008,1027 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,1155 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 32,1189 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,162
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 32,1189 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 1136,128
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,1189 Type(class): TextView ID: org.sensors2.osc:id/group_name Name: Accelerometer Type(class): TextView Rectangle: 286,59
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 64,1247 Type(class): TextView ID: org.sensors2.osc:id/osc_prefix Name: /accelerometer Type(class): TextView Rectangle: 192,38
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 1008,1189 Type(class): ToggleButton ID: org.sensors2.osc:id/active Name: OFF Type(class): ToggleButton Rectangle: 128,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 32,1317 Type(class): View ID:  Name:  Type(class): View Rectangle: 1136,2
</li></ul></li></ul></li></ul></li></ul></li><div class="buffer"></div></ul>
</ul>

<script type="text/javascript">
  function colorChange(names){
    for (var name in names){
      var list = document.getElementsByClassName(name);
      if (list[0].innerHTML != list[1].innerHTML){
          list[0].style.color = "gray";
          list[1].style.color = "gray";
      }
    }
  }
  var names = ["0","1"];
  colorChange(names);
</script>
</body>
